verilator (4.036-1) unstable; urgency=medium

  * New upstream version 4.036
  * Refreshed reproducible_build.diff and typos.patch.
  * Dropped bison-3.6.1-fix.patch, applied upstream
  * d/rules: let SYSTEMC_* be auto-detected by upstream configure script

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Sat, 13 Jun 2020 13:50:36 +0200

verilator (4.034-2) unstable; urgency=medium

  * Update upstream metadata: update Bug-Database, add Bug-Submit
  * Unapply quilt patches
  * Add bison-3.6.2-fix.patch to fix FTBFS with bison 3.6.1 (Closes: #960480)
  * Bumped to compat level 13
  * Added typos.patch to fix spelling mistakes

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Mon, 25 May 2020 17:02:56 +0200

verilator (4.034-1) unstable; urgency=medium

  * New upstream version 4.030
  * Refresh patches

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Sat, 09 May 2020 16:41:52 +0200

verilator (4.028-1) unstable; urgency=medium

  * New upstream version 4.028
  * Update standards version to 4.5.0
  * Drop typos.diff patch, applied upstream
  * Add interpreter.patch to set perl interpreter path

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Sun, 09 Feb 2020 17:10:40 +0100

verilator (4.026-1) unstable; urgency=medium

  * New upstream version 4.026
  * Drop shebang.diff patch, no longer needed.
  * Refresh typos.diff patch
  * Update copyright years
  * Forward typos.diff patch upstream

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Sun, 12 Jan 2020 03:06:03 +0100

verilator (4.024-1) unstable; urgency=medium

  * New upstream version 4.024

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Thu, 19 Dec 2019 11:35:04 +0100

verilator (4.022-2) unstable; urgency=medium

  * Add python3 to build-deps

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Sun, 01 Dec 2019 03:57:25 +0100

verilator (4.022-1) unstable; urgency=medium

  * New upstream version 4.022
  * Update watch URL
  * Updated typos.diff patch

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Sat, 30 Nov 2019 17:05:26 +0100

verilator (4.020-1) unstable; urgency=medium

  * Imported Upstream version 4.020
  * Update standards version to 4.4.1
  * Add Rules-Requires-Root: no
  * Refresh patches.
  * Remove fix_test.diff patch, applied upstream
  * Forward typos.diff patch to upstream
  * d/docs: install internals.adoc

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Sat, 19 Oct 2019 09:12:41 +0200

verilator (4.018-1) unstable; urgency=medium

  * Imported Upstream version 4.018
  * Removed system-flags.diff patch, applied upstream.
  * Refresh typos.diff patch.
  * Add fix_test.diff patch from upstream, to fix a failure during 'make test'
  * Update standards version to 4.4.0

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Thu, 05 Sep 2019 04:16:40 +0200

verilator (4.016-3) unstable; urgency=medium

  * Add system-flags.diff patch to honour system flags. (Closes: #931492)
    Thanks to Gianfranco Costamagna <locutusofborg@debian.org>

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Sun, 07 Jul 2019 02:53:30 +0200

verilator (4.016-2) unstable; urgency=medium

  * Upload to unstable

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Thu, 04 Jul 2019 03:24:56 +0200

verilator (4.016-1) experimental; urgency=medium

  * Imported Upstream version 4.016
  * Refresh patches
  * d/docs: removed TODO

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Wed, 19 Jun 2019 03:32:47 +0200

verilator (4.014-1) experimental; urgency=medium

  * Imported Upstream version 4.014
  * Refresh patches

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Mon, 13 May 2019 03:52:51 +0200

verilator (4.012-1) experimental; urgency=medium

  * New upstream release
  * Add gbp.conf
  * Refresh patches

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Tue, 26 Mar 2019 02:09:40 +0100

verilator (4.010-1) unstable; urgency=medium

  * New upstream release
  * Update copyright years
  * Update to standards version 4.3.0
  * Bump to compat level 12
  * Refresh patches

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Sun, 10 Feb 2019 04:49:41 +0100

verilator (4.008-2) unstable; urgency=medium

  * Promote libsystemc-dev to Recommends
  * Added reproducible_build.diff patch for verilated_vcd_c.cpp to make it
    reproducible.
    Thanks to Anoop Nadig <adn322@nyu.edu>

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Fri, 21 Dec 2018 05:18:18 +0100

verilator (4.008-1) unstable; urgency=medium

  * New upstream release
  * Update standards version to 4.2.1, no changes needed
  * Add typos.diff patch to fix spelling mistakes

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Sun, 16 Dec 2018 05:59:48 +0100

verilator (4.006-1) unstable; urgency=medium

  * New upstream release
  * Build with SystemC support
  * Suggest libsystemc-dev instead of systemc
  * Updated standards version to 4.2.0
  * shebang.diff patch: add bin_verilator_gantt
  * Only enable SystemC to archs. supported by the library

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Mon, 12 Nov 2018 13:38:21 +0100

verilator (3.924-1) unstable; urgency=medium

  [ Dima Kogan ]
  * Moved Vcs-... tags to point to salsa

  [ أحمد المحمودي (Ahmed El-Mahmoudy) ]
  * New upstream release
  * Refresh shebang.diff patch
  * Update standards version
  * Update copyright years
  * Remove autotools-dev from build deps
  * Bumped to compat level 11
  * Override dh_autoreconf to fix FTBFS

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Mon, 02 Jul 2018 14:08:42 +0200

verilator (3.916-1) unstable; urgency=medium

  * New upstream release
  * Dropped patches:
    + fix_spelling.diff, applied upstream
    + fix_smoke.diff, no longer needed
  * Switch to a secure URL in watch file

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Sun, 26 Nov 2017 01:27:17 +0100

verilator (3.914-2) unstable; urgency=medium

  * fix_spelling.diff patch: remove a wrong fix

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Tue, 17 Oct 2017 05:05:20 +0200

verilator (3.914-1) unstable; urgency=medium

  * New upstream release
  * Update standards version to 4.1.1
  * Update copyright years
  * Add fix_spelling.diff patch to fix spelling errors
  * Add fix_smoke.diff patch to fix smoke test

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Tue, 17 Oct 2017 04:13:05 +0200

verilator (3.906-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 3.906
  * Update to Standards-Version 4.0.0
    - Use HTTPS URL for d/copyright

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sun, 16 Jul 2017 22:21:21 +0200

verilator (3.900-1) unstable; urgency=medium

  * Team upload.
  * Imported Upstream version 3.900
  * Refresh patch
  * Update d/copyright
  * Update to Standards-Version 3.9.8, no changes needed

 -- Dr. Tobias Quathamer <toddy@debian.org>  Fri, 20 Jan 2017 10:31:18 +0100

verilator (3.890-1) unstable; urgency=medium

  * Team upload.
  * Imported Upstream version 3.890
  * Refresh patch
  * Update d/copyright

 -- Dr. Tobias Quathamer <toddy@debian.org>  Tue, 20 Dec 2016 23:45:19 +0100

verilator (3.874-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add libfl-dev to Build-Depends.
    Thanks to Helmut Grohne <helmut@subdivi.de> (Closes: #846454)
  * Use new and secure URL for Vcs-* fields

 -- Dr. Tobias Quathamer <toddy@debian.org>  Fri, 16 Dec 2016 20:51:50 +0100

verilator (3.874-1) unstable; urgency=medium

  * Upload to unstable.
  * Drop patches that got merged upstream: install_all_manpages.diff,
    typos.diff
  * Add pkgconfig.diff patch to remove un-necessary 'libdir' field from
    pkgconfig file. lintian complained that this field had a multi-arch.
    value, yet the file is installed in /usr/share/pkgconfig

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Sun, 07 Jun 2015 16:06:17 +0200

verilator (3.872-2) unstable; urgency=medium

  * Upload to unstable.
  * debian/patches/*: Added DEP-3 patch headers.
  * Remove debian/gbp.conf, not needed in master branch.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Sun, 26 Apr 2015 16:20:52 +0200

verilator (3.872-1) experimental; urgency=medium

  * New upstream release.
  * debian/patches/shebang.diff: patch verilator_coverage
  * Install all manuals:
    + Added install_all_manpages.diff patch to generate/install manpages for
      verilator_profcfunc & verilator_coverage
    + Remove debian/manpages, debian/verilator_profcfunc.1
    + debian/links: added verilator_coverage_bin_dbg.1 -> verilator_coverage.1
      symlink.
  * debian/copyright: Update copyright format & years.
  * Added typos.diff patch to fix typos.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Mon, 06 Apr 2015 13:50:47 +0200

verilator (3.870-1) experimental; urgency=medium

  * New upstream release.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Sat, 14 Feb 2015 09:08:35 +0200

verilator (3.868-1) experimental; urgency=medium

  * New upstream release.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Tue, 23 Dec 2014 10:52:44 +0200

verilator (3.866-1) experimental; urgency=medium

  * New upstream release.
  * Added debian/gbp.conf to set debian branch to experimental.
  * Update my email address.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Wed, 26 Nov 2014 09:41:28 +0200

verilator (3.864-1) unstable; urgency=medium

  * New upstream release.
  * debian/upstream/metadata: Add upstream metadata information
  * debian/control: Bump Standards-Version to 3.9.6

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Sun, 28 Sep 2014 12:18:43 +0200

verilator (3.862-1) unstable; urgency=medium

  * New upstream release.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Tue, 17 Jun 2014 19:59:50 +0300

verilator (3.860-1) unstable; urgency=medium

  * New upstream release.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Tue, 20 May 2014 17:30:12 +0300

verilator (3.856-1) unstable; urgency=medium

  * New upstream release.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Sun, 16 Mar 2014 21:30:31 +0200

verilator (3.855-1) unstable; urgency=low

  * New upstream release.
  * Refreshed shebang.diff patch.
  * debian/copyright: update copyright years

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Mon, 27 Jan 2014 10:44:06 +0200

verilator (3.854-1) unstable; urgency=low

  * New upstream release.
  * debian/control: Bumped Standards-Version to 3.9.5

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Tue, 03 Dec 2013 09:22:24 +0200

verilator (3.853-1) unstable; urgency=low

  * New upstream release.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Tue, 01 Oct 2013 23:09:16 +0200

verilator (3.852-1) unstable; urgency=low

  * New upstream release.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Mon, 30 Sep 2013 17:12:08 +0200

verilator (3.851-1) unstable; urgency=low

  * New upstream release.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Sat, 24 Aug 2013 15:28:02 +0200

verilator (3.850-1) unstable; urgency=low

  * New upstream release.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Mon, 10 Jun 2013 09:46:14 +0200

verilator (3.847-1) unstable; urgency=low

  * New upstream release.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Mon, 20 May 2013 17:18:43 +0200

verilator (3.846-1) unstable; urgency=low

  * New upstream release.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Sun, 24 Mar 2013 18:38:33 +0200

verilator (3.845-1) unstable; urgency=low

  * New upstream release.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Sun, 10 Feb 2013 17:14:43 +0200

verilator (3.844-1) unstable; urgency=low

  * New upstream release.
  * debian/copyright: Updated copyright years.
  * Refresh patch.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Sun, 13 Jan 2013 11:25:29 +0200

verilator (3.843-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    + Bumped Standards-Version to 3.9.4
    + Remove obsolete DMUA field
    + Use canonical URIs in VCS-* fields

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Thu, 03 Jan 2013 12:52:18 +0200

verilator (3.841-1) unstable; urgency=low

  * New upstream release.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Thu, 06 Sep 2012 11:30:26 +0200

verilator (3.840-1) unstable; urgency=low

  * New upstream release.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Wed, 01 Aug 2012 11:36:02 +0200

verilator (3.833-1) unstable; urgency=low

  * New upstream release.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Wed, 18 Apr 2012 17:14:05 +0200

verilator (3.832-1) unstable; urgency=low

  * New upstream release.
  * Bumped compat level to 9.
  * debian/control: Updated Standards-Version to 3.9.3
  * debian/copyright: Updated copyright format & years.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Thu, 08 Mar 2012 16:34:21 +0200

verilator (3.831-1) unstable; urgency=low

  * New upstream release.
  * Refreshed patch: shebang.diff

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Sat, 11 Feb 2012 15:00:59 +0200

verilator (3.830-1) unstable; urgency=low

  * New upstream release.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Tue, 29 Nov 2011 16:48:53 +0200

verilator (3.824-1) unstable; urgency=low

  * New upstream release.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Wed, 26 Oct 2011 05:38:30 +0200

verilator (3.821-1) unstable; urgency=low

  * New upstream release.
  * Dropped Fix-PowerPC-runtime-error.patch patch as it is included in new
    upstream release
  * debian/copyright: Updated copyright format

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Sun, 18 Sep 2011 14:30:17 +0200

verilator (3.820-2) unstable; urgency=low

  * Cherry-picked Fix-PowerPC-runtime-error.patch from upstream VCS
    (Closes: #598256)

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Tue, 23 Aug 2011 13:15:42 +0200

verilator (3.820-1) unstable; urgency=low

  * New upstream release.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Sun, 31 Jul 2011 07:18:48 +0200

verilator (3.813-1) unstable; urgency=low

  * New upstream release.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Thu, 07 Jul 2011 13:53:39 +0200

verilator (3.812-1) unstable; urgency=low

  * New upstream release.
  * debian/copyright: Updated copyright years
  * debian/control: Bumped Standards-Version to 3.9.2

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Sat, 09 Apr 2011 23:21:43 +0200

verilator (3.811-1) unstable; urgency=low

  * New upstream release.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Wed, 16 Feb 2011 17:11:11 +0200

verilator (3.810-1) unstable; urgency=low

  * New upstream release.
  * Refreshed shebang.diff patch

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Sat, 22 Jan 2011 10:08:37 +0200

verilator (3.805-1) unstable; urgency=low

  * New upstream release.
  * Upload to unstable.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Sun, 07 Nov 2010 10:32:20 +0200

verilator (3.804-1) experimental; urgency=low

  * New upstream release
  * Bumped compat level to 8
  * debian/control: Bumped Standards-Version to 3.9.1, no changes needed.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Sun, 26 Sep 2010 19:21:30 +0300

verilator (3.803-1) unstable; urgency=low

  * New upstream release.
  * Removed patch typos.diff as it got applied upstream
  * debian/control: Bumped Standards-Version to 3.9.0 (no changes
    needed)

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Thu, 15 Jul 2010 21:00:20 +0300

verilator (3.802-1) unstable; urgency=low

  * New upstream release.
  * Removed install_perms.diff patche, as it got applied upstream.
  * Refreshed typos.diff patch to fix a new typo, and remove fixes that got
    applied upstream.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Sat, 01 May 2010 22:56:15 +0300

verilator (3.801-1) unstable; urgency=low

  * New upstream release (Closes: #577187)
  * Switched to 3.0 (quilt) source format.
  * debian/control:
    + Set pkg-electronics as Maintainer and add myself to Uploaders.
    + Bumped Standards-Version to 3.8.4
    + Added proper Vcs-* fields.
    + Removed "the" from package description.
    + Added DMUA
  * debian/docs:
    + Remove README & readme.pod since they do not provide useful information
      to user.
    + Added verilator.html & verilator.pdf
  * debian/watch: set the upstream URL to one that can be checked.
  * Added manpage for verilator_profcfunc
  * Added debian/links, debian/doc-base, debian/manpages
  * Remove debian/dirs
  * debian/rules:
    + No more need to override dh_auto_test since upstream now skips SystemC
      tests if SystemC is not installed.
    + No need to override dh_auto_install
    + Override dh_installexamples to move examples dir from
      /usr/share/verilator to /usr/share/doc/verilator
  * Added install_perms.diff patch to install data files without executable
    permissions.
  * Added typos.diff patch to fix some spelling mistakes in verilator
    executable & manpage.
  * Added shebang.diff patch to add proper shebangs.
  * debian/copyright:
    + Converted to machine-readable format.
    + Changed packaging license to match that of upstream.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Wed, 21 Apr 2010 23:33:46 +0200

verilator (3.800-5) unstable; urgency=low

  * prevent make from running test and failing because SystemC is not present
  * now using override_dh_auto_test instead of override_dh_auto_make

 -- Iztok Jeras <iztok.jeras@gmail.com>  Mon, 08 Feb 2010 19:51:39 +0100

verilator (3.800-4) unstable; urgency=low

  * prevent make from running test and failing because SystemC is not present

 -- Iztok Jeras <iztok.jeras@gmail.com>  Mon, 08 Feb 2010 11:06:10 +0100

verilator (3.800-3) unstable; urgency=low

  * Added bison to dependencies

 -- Iztok Jeras <iztok.jeras@gmail.com>  Mon, 08 Feb 2010 11:06:10 +0100

verilator (3.800-2) unstable; urgency=low

  * Added flex to dependencies

 -- Iztok Jeras <iztok.jeras@gmail.com>  Mon, 08 Feb 2010 10:51:20 +0100

verilator (3.800-1) unstable; urgency=low

  * Initial release

 -- Iztok Jeras <iztok.jeras@gmail.com>  Mon, 08 Feb 2010 07:52:28 +0100
